Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Install] Dell Wireless 1530 Wireless-N WLAN Mini-Card
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Thu Feb 28, 2013 11:57 am    Post subject: [Install] Dell Wireless 1530 Wireless-N WLAN Mini-Card Reply with quote

Bonjour à tous,

J'ai un souci d'installation pour la mise en fonction de mon wireless:
Dell Wireless 1530 Wireless-N WLAN Mini-Card.

J'ai un Dell Latitude E5520m qui dispose de cette carte mais impossible de l'installer correctement, il ne figure pas dans mon ifconfig.

Je certifie en premier que je dispose bien de la carte cité en titre:

Info de la carte avec indication sur quels laptop elle est installée http://search.dell.co.uk/1/2/146505-wireless-emea-dell-wireless-1530-802-11-a-b-g-n-mini-card.html#Overview
Gros complément d'infos sur cette carte pour linux http://www.wikidevi.com/wiki/Dell_Wireless_1530_Wireless-N_WLAN_Mini-Card

Vérification matériel:

Broadcom Linux hybrid wireless driver
Version 5.100.82.1XX
(Broadcom-sta v.5.100.82.112)

BRCM PCI PCI Dell
Product Name Vendor ID Device ID Product ID
------------- ---------- --------- -----------
.
.
.
43228 Dualband 0x14e4 0x4359 Dell 1530

Code:
# lspci -n | grep 14e4
02:00.0 0280: 14e4:4359
0a:00.0 0200: 14e4:1681 (rev 10)


Vérification de la version dans les packages OK:

Code:
# eix broadcom-sta
[I] net-wireless/broadcom-sta
     Available versions:  5.100.82.112-r2^m {{kernel_linux}}
     Installed versions:  5.100.82.112-r2^m(12:30:46 28. 02. 13)(kernel_linux)
     Homepage:            http://www.broadcom.com/support/802.11/linux_sta.php
     Description:         Broadcom's IEEE 802.11a/b/g/n hybrid Linux device driver.


installation OK mais carte pas détectée.
J'aurais bien fait un modprobe -l mais l'option -l n'existe pas :/
Code:
# modprobe -V
kmod version 12

enfin bref.

Vérification si le driver nécessaire est bien lancé OK:
Code:
# lsmod | grep wl
wl                   2566694  0


Vérification de la détection de la carte sur gentoo KO:
Code:
# iwconfig
eth0      no wireless extensions.

lo        no wireless extensions.

sit0      no wireless extensions.


Bon, là je me dis que c'est peut-être un problème du package.
Par conséquent je prends l'initiative de télécharger le broadcom-sta sur le site officiel pour une compilation manuelle ici:
en 64bit puisqu'il s'agit de mon architecture au cas ou: http://www.broadcom.com/support/802.11/linux_sta.php

j'en fais une extraction du fichier tar.gz puis je tente de le compiler mais bien évidemment il y a une erreur de compilation:
Code:
# make
KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
make[1] : on entre dans le répertoire « /usr/src/linux-3.7.9-gentoo »
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
  CC [M]  /opt/src/shared/linux_osl.o
  CC [M]  /opt/src/wl/sys/wl_linux.o
/opt/src/wl/sys/wl_linux.c:43:24: erreur fatale: asm/system.h : Aucun fichier ou dossier de ce type
compilation terminée.
make[2]: *** [/opt/src/wl/sys/wl_linux.o] Erreur 1
make[1]: *** [_module_/opt] Erreur 2
make[1] : on quitte le répertoire « /usr/src/linux-3.7.9-gentoo »
make: *** [all] Erreur 2


J'ai essayé après ça plusieurs version de linux-headers et de binutils mais sans changement.

Ça fait déjà quelque jours que je suis sur le coup et je suis à cours d'idée.

Je vous remercie infiniment d'avance pour votre aide ! :D
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3149

PostPosted: Thu Feb 28, 2013 12:47 pm    Post subject: Re: [Install] Dell Wireless 1530 Wireless-N WLAN Mini-Card Reply with quote

'alute
mysix wrote:
(...)
Vérification matériel:

Broadcom Linux hybrid wireless driver
Version 5.100.82.1XX
(Broadcom-sta v.5.100.82.112)

BRCM PCI PCI Dell
Product Name Vendor ID Device ID Product ID
------------- ---------- --------- -----------
43228 Dualband 0x14e4 0x4359 Dell 1530

Code:
# lspci -n | grep 14e4
02:00.0 0280: 14e4:4359
0a:00.0 0200: 14e4:1681 (rev 10)

Tu as sans doute vérifié avant et je ne veux présupposer de rien mais "14e4:4359" : ça sent pas bon... :roll:

Edit: Vu que la seule solution est le drv propriétaire dont tu disposes déjà faudrait, vu ton erreur de compilation, contrôler les versions et le segment de code en question -> un bug comparable semble rapporté sur fedora avec wkrd (see #6) mais c'est étrange que ce ne soit pas inclus/réglé chez nous depuis mais ca arrive qqfois
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "


Last edited by boozo on Thu Feb 28, 2013 1:19 pm; edited 1 time in total
Back to top
View user's profile Send private message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Thu Feb 28, 2013 1:17 pm    Post subject: Reply with quote

Dans tous les cas, il est dans les périphériques supportés par le broadcom-sta:
SUPPORTED DEVICES
-----------------
The cards with the following PCI Device IDs are supported with this driver.
Both Broadcom and and Dell product names are described. Cards not listed
here may also work.

BRCM PCI PCI Dell
Product Name Vendor ID Device ID Product ID
------------- ---------- --------- -----------
4311 2.4 Ghz 0x14e4 0x4311 Dell 1390
4311 Dualband 0x14e4 0x4312 Dell 1490
4311 5 Ghz 0x14e4 0x4313
4312 2.4 Ghz 0x14e4 0x4315 Dell 1395
4313 2.4 Ghz 0x14e4 0x4727 Dell 1501
4321 Dualband 0x14e4 0x4328 Dell 1505
4321 Dualband 0x14e4 0x4328 Dell 1500
4321 2.4 Ghz 0x14e4 0x4329
4321 5 Ghz 0x14e4 0x432a
4322 Dualband 0x14e4 0x432b Dell 1510
4322 2.4 Ghz 0x14e4 0x432c
4322 5 Ghz 0x14e4 0x432d
43224 Dualband 0x14e4 0x4353 Dell 1520
43225 2.4 Ghz 0x14e4 0x4357
43227 2.4 Ghz 0x14e4 0x4358
43228 Dualband 0x14e4 0x4359 Dell 1530

De plus il est certifié pour ubuntu 11.10 et il fonctionne dessus. Mais je n'ai pas envie d'installer cette chose qu'on appelle ubuntu. :roll:


Mais le problème c'est que je n'arrive pas à compiler directement. Je suis obligé de passer par emerge pour le broadcom-sta à moins qu'on trouve ce qui ne fonctionne pas avec ce asm/system.h.
Sauf erreur, on ne trouve pas de release note pour les paquets du portage ?
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3149

PostPosted: Thu Feb 28, 2013 1:22 pm    Post subject: Reply with quote

Dsl pour ce post inutile sinon pour ta confirmation car j'ai édité le premier message entre-temps le temps de vérifier 2/3 choses (et de répondre à un autre fil) :oops:
Vu le sed qui traine en bas... A vérifier donc
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Thu Feb 28, 2013 1:58 pm    Post subject: Reply with quote

Ok voilà ce que j'ai fais jusqu'à présent pour enlever les messages d'erreurs:

J'ai édité le fichier wl_linux.0 en remplaçant les includes ainsi:

Code:
#include </usr/src/linux-3.7.9-gentoo/tools/perf/util/include/asm/system.h>
#include </usr/src/linux-3.7.9-gentoo/include/asm-generic/io.h>
#include </usr/src/linux-3.7.9-gentoo/include/asm-generic/irq.h>
#include </usr/src/linux-3.7.9-gentoo/include/asm-generic/pgtable.h>
#include </usr/src/linux-3.7.9-gentoo/include/asm-generic/uaccess.h>
#include </usr/src/linux-3.7.9-gentoo/include/asm-generic/unaligned.h>


j'ai édité le fichier /usr/src/linux-3.7.9-gentoo/include/asm-generic/unaligned.h
pour commenter ces deux lignes:

Code:
/*# include <linux/unaligned/le_struct.h>
# include <linux/unaligned/be_byteshift.h>*/


enfin après j'ai d'autres messages d'erreurs, ça en fini plus 8O
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3149

PostPosted: Thu Feb 28, 2013 2:34 pm    Post subject: Reply with quote

heu... pense pas que tu aboutisses à qqch d'opérationnel ainsi :roll:

Je viens de jeter un oeil mais - excuse-moi - je n'ai pas suffisamment de temps là tout de suite pour recompiler mon kernel pour tester n'ayant pas les options "quivontbien" - je pourrai voir ce soir au mieux
Code:
 * Checking for suitable kernel configuration options...
 *   CONFIG_SSB:\t should not be set. But it is.
 *   CONFIG_CFG80211:\t is not set when it should be.
 *   CONFIG_LIB80211:\t is not set when it should be.
 * Please check to make sure these options are set correctly.

Contrôle déjà le code sur ce qui est fait par portage en local (via #ebuild i.e. sans installer) et en fonction, il faudra remonter le bug (=> si le code et les versions sont en phases, que çà compile et que le module est bien chargé au final mais qu'il ne se passe rien... on peut légitimement suspecter un bug).

n.b. Hélas, le package en question est sans mainteneur officiel actuellement donc il faudra sans doute être un peu patient si c'est avéré :(

Edit: J'avais pas fini de lire mes recherches mais d'après ce tracker - même si le pb initial déclaré n'est pas identique au tient - il semble pourtant bien que broadcom-sta voire brcmsmac doit être fonctionnel avec tes versions de packages et ton kernel (voir #30 < EOF)
Il y a peut-être d'autres choses à vérifier autour... tous les modules complémentaires nécessaires sont bien chargés ?
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Thu Feb 28, 2013 3:12 pm    Post subject: Reply with quote

Hum, à part le module wl, je ne vois pas d'autres :roll:
Enfin, en ce qui concerne le kernel j'ai tous activé à ce qui ressemble de près ou de loin à broadcom
puis les modules pour le wifi doivent être opérationnels depuis le kernel mais savoir s'ils sont chargés... 8O

Code:
# lsmod
Module                  Size  Used by
dell_wmi                2716  0
iTCO_wdt                8587  0
coretemp               10728  0
kvm_intel             170113  0
kvm                   644559  1 kvm_intel
crc32c_intel            3201  0
ghash_clmulni_intel     6518  0
aesni_intel            57578  0
ablk_helper             3177  1 aesni_intel
cryptd                 14102  3 ghash_clmulni_intel,aesni_intel,ablk_helper
xts                     4656  1 aesni_intel
lrw                     5896  1 aesni_intel
gf128mul                9967  2 lrw,xts
wl                   2566694  0
firewire_ohci          54326  0
sdhci_pci              17566  0
wmi                    13341  1 dell_wmi
sdhci                  49919  1 sdhci_pci
mmc_core              170350  2 sdhci,sdhci_pci
firewire_core          94650  1 firewire_ohci
mei                    60956  0
crc_itu_t               1909  1 firewire_core
lpc_ich                12974  0


Je vais voir ce que je peux faire au niveau du code, mais ce n'est pas trop ma tasse de thé.

En tout cas merci pour ta réactivité :P
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3149

PostPosted: Thu Feb 28, 2013 8:01 pm    Post subject: Reply with quote

Alors ? donne quoi ? Tu as tout en dur pour le 802.11 si je comprends bien ta remarque

Sinon en regardant du côte du wiki d'Arch (j'en ai la nausée... je ne sais pas si le "style" de cette doc mais c'est vraiment toujours autant une d**** ces drivers wifi... exceptions sur exceptions, des infos contradictoires d'un chipset à l'autre, et que je te blacklist et dé-blacklist... pfff... :roll: )

Enfin bref, bien que les chipsID ne sont pas mentionnés, on peut notamment lire une note qui ressemble à ta conf :
Quote:
Miscellaneous user notes

In my Dell Inspiron Laptop, I have a Broadcom BCM4401 Ethernet card and a Broadcom BCM4328 wireless card. If I just remove b43, I can load the wl driver, but no wireless card shows up. However, if I first remove the b44 (and ssb) driver for my Ethernet card, and then load the wl driver, I get a wireless device using the name eth0. Afterwards, I can load b44 again, to have an Ethernet eth1 device.

_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Fri Mar 01, 2013 10:47 am    Post subject: Reply with quote

J'ai fais une modif dans mon kernel pour tous mettre en module les drivers. J'en ai pas besoin en dur.
Cependant je crois avoir pris le mauvais fichier de conf et par conséquent je ne boot plus.
Donc je regarderai à nouveau dès lundi le pourquoi du comment.

Je redonne des nouvelles en début de semaine prochaine.

Merci bon w-e.
Back to top
View user's profile Send private message
mysix
Apprentice
Apprentice


Joined: 26 Mar 2010
Posts: 183

PostPosted: Thu Mar 07, 2013 7:19 am    Post subject: Reply with quote

J'ai résolu une partie du problème du faite en enlevant certains paramètres du kernel tel que le b43 et le SSB.
Effectivement lors de la compilation du broadcom-sta de portage, il y avait un petit message d'erreur. Tellement petit que je ne l'ai pas
vu la première fois. J'aimerais relever que le message d'erreur indique seulement qu'il y avait un problème avec le kernel ni plus ni moins.
J'ai du chercher dans le code de l'ebuild pour voir d’où provenait le problème :/

Enfin, j'ai revu entièrement mon kernel puis je l'ai installé. Cependant, j'ai un message d'erreur lié au wifi que j'ai de la peine à résoudre.
Après une quinzaine de tentatives, je le poste ici puisque c'est en relation avec broadcom-sta.

Je ferai une petite liste à la fin de ce qu'il faut compiler ou pas pour le bon fonctionnement dès que le problème sera résolu.

Voilà mon message d'erreur:

http://db.tt/W9rPpwoD

C'est le driver wl qui est ici touché.
Il faut savoir que avant même de copier dans le boot le kernel, j'ai compilé broadcom-sta.
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3149

PostPosted: Thu Mar 07, 2013 9:13 am    Post subject: Reply with quote

Quelques messages plus haut, boozo wrote:
(...)
Edit: J'avais pas fini de lire mes recherches mais d'après ce tracker - même si le pb initial déclaré n'est pas identique au tient - il semble pourtant bien que broadcom-sta voire brcmsmac doit être fonctionnel avec tes versions de packages et ton kernel (voir #30 < EOF)
Il y a peut-être d'autres choses à vérifier autour... tous les modules complémentaires nécessaires sont bien chargés ?

Tu n'as pas dû faire bien attention précédemment mais ton crash semble assez bien correspondre au bug que je t'avais signalé plus tôt (see #4) ; il faut que tu vérifies si tu as bien activé CONFIG_HOSTAP dans ton kernel actif avant de tester le patch proposé car il semble fonctionner si j'en juge d'après les #32,33 :?
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum